You want the zope27 and zope-zwiki packages. out of date ? These are updated infrequently so if you want the current stable release it may be worth installing from source. (latest zope , latest zwiki , zwiki release notes)

1. Install Zope

See ZopeWiki:InstallingZope . As of 2004/05 I believe it works like this::

on debian unstable:
:
   $ apt-get install zope2.7
   $ mkzope2.7instance
      Directory: zope1 (for example)
      Username: (an initial manager username
      Password:  and password)
   edit /var/lib/zope2.7/instance/zope1/etc/zope.conf
      uncomment debug-mode and set it off, for better performance
      make note of the http port number (9673) or change it 
   $ /var/lib/zope2.7/instance/zope1/bin/zopectl start
on ubuntu hoary:
The same, or you can use the shorter /etc/zope2.7/zope1/zope.conf path.

2. Install Zwiki

from debian package:
Easiest, gets a fairly recent stable version:
   $ apt-get install zope-zwiki

Unless you selected "manual" when installing the zope2.7 package, Zope will be restarted automatically.

from tarball:
Gets the latest stable version:
   $ cd /var/lib/zope2.7/instance/zope1/Products (cd to the zope products directory)
   $ wget http://zwiki.org/releases/ZWiki-0.XX.0.tgz (download the tarball from FrontPage)
   $ mv ZWiki old/ZWiki (move old version out of the way, if any)
   $ tar xzvf ZWiki-0.XX.0.tgz
   $ zopectl restart
from github:
Gets the latest development version, makes it easy to get and send updates.:
   $ cd /var/lib/zope2.7/instance/zope1/Products
   $ git clone https://github.com/simonmichael/ZWiki.git
   $ zopectl restart

3. Verify installation

You should be able to visit http://localhost:9673/manage -> Control Panel -> Products in your web browser and see the Zwiki product there with a non-broken icon.

Back to the installing chapter.


comments:

fedora core 3 -- Thu, 19 May 2005 03:58:27 -0700 reply
Hi I'm trying to install OIO (and hence zope under fedora core 3 It is turning into a bit of a night mare .. partly because of the different directory structure to debian .. has anyone any advise or direction to help in this area? Thanks Stephen g_and_s_pearce@xtra.co.nz

zope-zwiki_0.37.0 compatibility -- Thu, 24 Nov 2005 06:07:21 -0800 reply
I was tried to install the current (24-11-2005) stable releases as mentioned here. It seams that current stable release of zwiki (0.37.0) has installation problems: it says that compatible with zope2.7 but it is not. It uses the old /usr/share/zope and /usr/lib/zope directories for installation. It may be a good idea to "hide" these directories with soft links to the zope2.7 direcories BEFORE the installation, but AFTER you can fix it by creating soft links in the 2.7 directories as well: ln -s /usr/lib/zope/lib/python/Products/ZWiki /usr/lib/zope2.7/lib/python/Products/ ln -s /usr/share/zope/lib/python/Products/ZWiki /usr/share/zope2.7/lib/python/Products/

Note: don't try to install previous versions of zope, you'll get error messages from other "Products" :(

zope-zwiki_0.37.0 compatibility --Simon Michael, Thu, 01 Dec 2005 18:36:36 -0800 reply
Hi.. I don't recommend you use the zope-zwiki package in debian - as you can see from it's last modified date, and http://zwiki.org , it's way out of date. Download from zwiki.org instead. Do please bug the debian package maintainer about this.

Installation Woes and Fix --DigitalSorceress?, Thu, 29 Jun 2006 15:07:34 -0700 reply
I just downloaded ZWiki for my zope implementation, and when following the install process, the ZWiki product did not show up in the Control Panel section. I checked my event.log and found that ZWiki failed to install due to all sorts of errors. It boils down to permissions. After untaring, I did a find ./ZWiki -name *py -exec chmod 755 {} \; and put THAT in the Products directory. On restarting Zope, ZWiki was working. Just thought I'd let folks know in case it helps anyone else.

Ubuntu Feisty 7.04 --rha1063, Thu, 07 Jun 2007 23:50:33 -0700 reply
The commands I used were: apt-get install zope-debhelper apt-get install zope2.9 dzhandle -z 2.9 make-instance zopel -u admin:pAssw0rd --service-port=8000 -m manual apt-get install zope-zwiki dzhandle add-product tsd ZWiki /etc/init.d/zope2.9 restart